روز گذشته سرویس وبلاگ‌دهی وردپرس اعلام کرد که در نسخه جدید نرم‌افزار موبایل خود دیگر به پشتیبانی از اندروید 2.3 جینجربرد ادامه نخواهد داد. این شرکت توضیح داده است که تعداد کاربران نسخه جینجربرد نرم‌افزارش افت شدیدی داشته و این اواخر حتی به زیر 10 درصد هم رسیده است. در نتیجه وردپرس نسخه 2.9 برای اندروید که قرار است در ماه جاری میلادی منتشر شود، دیگر از جینجربرد پشتیبانی نخواهد کرد. همه نسخه‌های آینده این نرم‌افزار از این پس فقط از اندروید 4.0 به بعد پشتیبانی می‌کنند.

WordPress

وردپرس علت این تغییر را اینگونه توضیح داده است:

این یعنی تقریبا 90 درصد از کاربران ما «مالیات جینجربرد» را می‌پردازند – یعنی منتظر نسخه‌های جدید هستند ولی در نهایت شاهد ویژگی‌هایی نیستند که بیشترین استفاده را از امکانات دیوایس‌های‌شان بکند که این هم به این خاطر است که ما بتوانیم از دیوایس‌های قدیمی پشتیبانی کنیم.

اما ما صادق خواهیم بود: توسعه دهندگان ما – از جمله خودم – از این بابت بسیار خوشحال خواهیم شد چون باعث می‌شود خلاق‌تر باشیم. ولی آنچه ما را بیشتر خوشحال می‌کند این است که این اقدام به توسعه نرم‌افزاری سریعتر، کم حجم‌تر و بهتر برای اکثریت کاربران‌مان ختم می‌شود.

جدیدترین آمار رسمی از سوی گوگل نشان می‌دهد که جینجربرد هنوز توسط 16.2 درصد از کاربران گوگل پلی مورد استفاده قرار می‌گیرد. خبر خوب این است که نرم‌افزار وردپرس همچنان برای جینجربرد قابل استفاده خواهد بود چون نسخه کنونی یعنی وردپرس 2.8 فعلا در گوگل پلی باقی می‌ماند.

اکثر توسعه‌ دهندگان اندروید سعی می‌کنند هم از نسخه‌های قدیمی اندروید پشتیبانی کنند و هم از نسخه‌های جدید که این کار روند توسعه را کند می‌کند. اما بالاخره زمانی خواهد رسید که نسخه‌های قدیمی اندروید به طور کامل تحت پشتیبانی توسعه دهندگان قرار نگیرند. گوگل طبیعتا دوست دارد آن زمان هر چه زودتر فرا برسد.

اگر شما هم توسعه دهنده اندروید هستید باید همین کار را انجام دهید. در این صورت کاربران نرم‌افزارهای شما حتما از شما تشکر خواهند کرد.

مرجع: thenextweb